Bug 185779 - grub does not install right and system wont boot
grub does not install right and system wont boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-17 17:02 EST by Gaillard Lee Johnson
Modified: 2008-03-10 21:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 21:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaillard Lee Johnson 2006-03-17 17:02:10 EST
Description of problem:I dont know why but ever since fc4 i've had massive
trouble with fc installs. I noted this in another thread but maybe here is more
appropriate since others clearly are having troubles too. My setup is very
similar with:

hd0=windows on hda
hd1=linux drive on hdb
hd2=extra hd on hdc

this combo yeilds disaster as ususallly what happens is fc gives grub errors on
boot attempt , and I have to go in and add hd1 to device.map and issue
grub-install /de/vhda..if I dont e dit device.map first I get the error about no
bios drive ..

another thing that happens is hdc which is my third HD on the other ribbon cable
( master is my dvd burner and slave is the swapable HD bay that has 80gig maxtor
atm) always gets grub installed to it I think as its non-bootable anymore in
windows ( windows can't even see it anymore), as its clearly now ext3 instead
lol..so I have to use fdsisk and change disk lable back to ntfs and 'w' it and
all is fine again..

What is troubling is that other distros have no problem with this setup ever
just FC. I should be noted that this bug also occured in FC4 on this same
system.  Ill provide any other info as requested.


Version-Release number of selected component (if applicable):


How reproducible:
ever install does this.

Steps to Reproduce:
1.take default install to  /dev/hda
2.reboot
3.grub error, windows hd2 drive is now showing as ext and grub wont boot any OS.
  
Actual results:
grub wont boot any OS.

Expected results:
boot into desired OS.

Additional info: none
Comment 1 Matthew Miller 2007-04-06 12:08:32 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 petrosyan 2008-03-10 21:42:32 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.